For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Get Active Orders

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/active-orders
GET
/api/v2/active-orders
$curl https://api-gateway-stg.transak.com/api/v2/active-orders \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "paymentDetails": [
5 {
6 "fields": [
7 {
8 "name": "Account Type",
9 "value": "Personal"
10 },
11 {
12 "name": "Amount",
13 "value": "150 USD"
14 },
15 {
16 "name": "First Name (Beneficiary)",
17 "value": "Alice"
18 },
19 {
20 "name": "Last Name (Beneficiary)",
21 "value": "Johnson"
22 },
23 {
24 "name": "IBAN",
25 "value": "DE89370400440532013000"
26 },
27 {
28 "name": "BIC",
29 "value": "COBADEFFXXX"
30 },
31 {
32 "name": "Bank Name",
33 "value": "Commerzbank AG"
34 },
35 {
36 "name": "Bank Country",
37 "value": "Germany"
38 },
39 {
40 "name": "Bank Address",
41 "value": "Kaiserstraße 16, 60311 Frankfurt am Main, Germany"
42 }
43 ],
44 "fiatCurrency": "USD",
45 "paymentMethod": "sepa_bank_transfer",
46 "name": "Bank Transfer Details"
47 }
48 ],
49 "orderId": "a3f1c9d2-4b7e-4f9a-9c3d-2e5f7b8a1c2d",
50 "partnerUserId": "d9f8e7c6-b5a4-4321-9f8e-7d6c5b4a3e2f",
51 "status": "AWAITING_PAYMENT_FROM_USER",
52 "isBuyOrSell": "BUY",
53 "fiatCurrency": "USD",
54 "cryptoCurrency": "BTC",
55 "paymentMethod": "sepa_bank_transfer",
56 "network": "bitcoin",
57 "networkId": "mainnet",
58 "walletAddress": "1BoatSLRHtKNngkdXEeobR76b53LETtpyT",
59 "quoteId": "f4e5d6c7-b8a9-4d0e-9f1a-2b3c4d5e6f7a",
60 "fiatAmount": 150,
61 "fiatAmountInUsd": 150,
62 "amountPaid": "0",
63 "cryptoAmount": 0.0035,
64 "conversionPrice": 42857.14,
65 "totalFeeInFiat": 2.5,
66 "txHash": "",
67 "walletLink": "https://www.blockchain.com/btc/address/1BoatSLRHtKNngkdXEeobR76b53LETtpyT",
68 "transactionLink": ""
69 }
70 ]
71}

The Get Active Orders is an authenticated API that allow partners to fetch the list of all the active orders placed by a user. These orders need to be completed or cancelled before placing a new order.

Was this page helpful?
Previous

Create Widget URL (Cards, Apple Pay)

Next

Get Orders

Built with

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Response

200 - No Active Order Exist

datalist of objects
orderIdstring
partnerUserIdstring
statusstring
isBuyOrSellstring
fiatCurrencystring
cryptoCurrencystring
paymentMethodstring
networkstring
networkIdstring
walletAddressstring
quoteIdstring
fiatAmountdouble
fiatAmountInUsddouble
amountPaidstring
cryptoAmountdouble
conversionPricedouble
totalFeeInFiatdouble
txHashstring
walletLinkstring
transactionLinkstring

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error